Summary: Chinese X-term
Name: cxterm
Version: 5.1p1
Release: 2
Group: X11/Utilities/terms
Packager: Heng Yuan <heng@ag.arizona.edu>
Copyright: distributable (c) Zhang YongGuang
Source: cxterm-5.1p1.tar.gz
BuildRoot: /tmp/%{name}-buildroot

%description
CXterm 5.1
====================================================================
 * Originally written by Yongguang Zhang (C) 1995
 * Color patches by Ji-Tzay Yang and Bruce Cheng in 1996-1997
 * Blink/input patches and bug fixes by ZHUANG Hao, 1997-1999
====================================================================
CXterm is a very popular Xterm that supports Chinese/Japanese/Korean
(CJK) display and input.  SRPM and tar.gz versions can be downloaded
from
	ftp://24.21.115.41:888/pub/cxterm/
I re-packaged cxterm5.1p1.tar.gz to include a missing man page and
the new archive file is cxterm-5.1p1.tar.gz.

Since usually one should invoke cxterm through a shell script, I
renamed the binary to cxterm-bin and the shell script CXterm to
cxterm.  The default encoding is GB.  Though all CJK input methods
are included, only a BIG5 font is provided in this RPM since other
fonts are already included in XFree86 distributions.

%prep
%setup -q
%build
	scripts/compile.sh

%install
	rm -rf $RPM_BUILD_ROOT

	# write a install script from scratch

	# install binaries
	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin
	mkdir -p $BINDIR
	install -s -m 711 cxterm/cxterm $BINDIR/cxterm-bin
	install -s -m 711 utils/cit2tit $BINDIR
	install -s -m 711 utils/tit2cit $BINDIR
	install -s -m 711 utils/hzimctrl $BINDIR
	# default cxterm startup script
	install -m 755 scripts/cxterm.sh $BINDIR/cxterm

	# install default rc
	RCDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
	mkdir -p $RCDIR
	install -m 644 cxterm/CXterm.ad $RCDIR/CXterm

	# install man pages
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1
	mkdir -p $MANDIR
	for file in cxterm/cxterm.man utils/*.man
	  do
	    filename=`basename $file .man`.1x
	    install -m 644 $file $MANDIR/$filename
	    eval gzip -9 $MANDIR/$filename
	  done

	# install dict
	DICTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dict
	# individual languages
	mkdir -p $DICTDIR/big5
	install -m 644 dict/big5/*.cit dict/big5/*.lx $DICTDIR/big5
	mkdir -p $DICTDIR/gb
	install -m 644 dict/gb/*.cit dict/gb/*.lx $DICTDIR/gb
	mkdir -p $DICTDIR/jis
	install -m 644 dict/jis/*.cit $DICTDIR/jis
	mkdir -p $DICTDIR/ks
	install -m 644 dict/ks/*.cit dict/ks/*.lx $DICTDIR/ks

	# install fonts
	# only hkuet16 is installed since other fonts (GB, JIS, KO)
	# fonts are already provided by XFree86
	FONTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
	mkdir -p $FONTDIR
	install -m 644 fonts/hk*.pcf.gz $FONTDIR

%clean
	rm -rf $RPM_BUILD_ROOT

%files
	/usr/X11R6/bin/*
	/usr/X11R6/lib/X11/app-defaults/*
	/usr/X11R6/man/man1/*

%dir	/usr/X11R6/lib/X11/cxterm.dict
%dir	/usr/X11R6/lib/X11/cxterm.dict/gb
%dir	/usr/X11R6/lib/X11/cxterm.dict/big5
%dir	/usr/X11R6/lib/X11/cxterm.dict/jis
%dir	/usr/X11R6/lib/X11/cxterm.dict/ks

	/usr/X11R6/lib/X11/cxterm.dict/*/*
	/usr/X11R6/lib/X11/fonts/misc/*

%doc	Doc/*/*

%post
	# gb16fs and gb16st are the font aliases in Exceed
	# simplify our startup cxterm script a little bit

	FONTDIR=/usr/X11R6/lib/X11/fonts/misc
	FONTALIASFILE=$FONTDIR/fonts.alias

	fontalias='
! cxterm fonts

gb16fs "-isas-fangsong ti-medium-r-normal--16-160-72-72-c-160-gb2312.1980-0"
gb16st "-isas-song ti-medium-r-normal--16-160-72-72-c-160-gb2312.1980-0"
hku16et     -hku-fixed-medium-r-normal--16-*-*-*-*-*-big5.et-0

! cxterm fonts end

'
	echo "$fontalias" >> $FONTALIASFILE

	(cd $FONTDIR; mkfontdir)

	/etc/init.d/xfs restart

%postun
	# remove the cxterm font aliases defined

	FONTDIR=/usr/X11R6/lib/X11/fonts/misc
	FONTALIASFILE=$FONTDIR/fonts.alias

	cp -p $FONTALIASFILE ${FONTALIASFILE}.bak

        sed '/cxterm fonts/,/cxterm fonts/D' ${FONTALIASFILE}.bak > $FONTALIASFILE

	(cd $FONTDIR; mkfontdir)

	/etc/init.d/xfs restart

%changelog
* Mon Mar 26 2001 Heng Yuan <heng@ag.arizona.edu>
- release 2.  scripts updates, only included big5 fonts

* Mon Mar 26 2001 Heng Yuan <heng@ag.arizona.edu>
- release 1
